From galak@freescale.com Mon Jul 25 21:54:40 2005
Date: Mon, 25 Jul 2005 23:52:43 -0500 (CDT)
From: Kumar Gala <galak@freescale.com>
To: Andrew Morton <akpm@osdl.org>, Greg KH <greg@kroah.com>
Subject: PCI: fix up errors after dma bursting patch and CONFIG_PCI=n -- bug?
Message-ID: <Pine.LNX.4.61.0507252350390.7078@nylon.am.freescale.net>


In the patch from:

http://www.uwsg.iu.edu/hypermail/linux/kernel/0506.3/0985.html

Is the the following line suppose inside the if CONFIG_PCI=n

  #define pci_dma_burst_advice(pdev, strat, strategy_parameter) do { } while (0)

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 include/linux/pci.h |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

--- gregkh-2.6.orig/include/linux/pci.h	2005-07-27 13:03:27.000000000 -0700
+++ gregkh-2.6/include/linux/pci.h	2005-07-27 13:03:30.000000000 -0700
@@ -971,6 +971,8 @@
 
 #define	isa_bridge	((struct pci_dev *)NULL)
 
+#define pci_dma_burst_advice(pdev, strat, strategy_parameter) do { } while (0)
+
 #else
 
 /*
@@ -985,9 +987,6 @@
 	return 0;
 }
 #endif
-
-#define pci_dma_burst_advice(pdev, strat, strategy_parameter) do { } while (0)
-
 #endif /* !CONFIG_PCI */
 
 /* these helpers provide future and backwards compatibility
